/var/lib/pcp/testsuite/1323 is in pcp-testsuite 4.0.1-1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 | #!/bin/sh
# PCP QA Test No. 1323
# Test that pmlogrewrite(1) copies labels and help text correctly
#
# Copyright (c) 2018 Red Hat. All Rights Reserved.
#
seq=`basename $0`
echo "QA output created by $seq"
# get standard environment, filters and checks
. ./common.product
. ./common.filter
. ./common.check
# test for-some-thing || _notrun No support for some-thing
_cleanup()
{
cd $here
$sudo rm -rf $tmp $tmp.*
}
status=1 # failure is the default!
$sudo rm -rf $tmp $tmp.* $seq.full
trap "_cleanup; exit \$status" 0 1 2 3 15
_filter()
{
tmpx=`echo $tmp`
sed -e 's/^Archive:.* Host:/ARCHIVE: Host:/' \
-e "s|$tmpx|TMP|g" \
-e 's|PID for pmlogger: [0-9]*|PID for pmlogger: PID|'
}
# real QA test starts here
DIR=archives
# First, run pmlogrewrite against the archive.
IN=$DIR/20180127.08.40
OUT=$tmp.pmlogrewrite
rm -f $OUT.*
echo "Running pmlogrewrite $IN $OUT" | _filter | tee -a $seq.full
pmlogrewrite $IN $OUT 2>&1 >> $seq.full
[ $? -eq 0 ] || echo "Error running pmlogrewrite $IN $OUT -- see $seq.full"
# Now run pmdumplog against the original and extracted archives.
DUMP1=$tmp.original.txt
echo "Running pmdumplog -iteh $IN" | _filter | tee -a $seq.full
pmdumplog -zhide $IN 2>&1 > $DUMP1
DUMP2=$tmp.extracted.txt
IN=$OUT
echo "Running pmdumplog -iteh $IN" | _filter | tee -a $seq.full
pmdumplog -zhide $IN 2>&1 > $DUMP2
# Make sure the outputs are the same.
echo "Running diff $DUMP1 $DUMP2" | _filter | tee -a $seq.full
diff $DUMP1 $DUMP2 2>&1 | _filter | tee -a $seq.full
# success, all done
status=0
exit
|